Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1864)

Unified Diff: scripts/image_signing/remove_test_label.sh

Issue 3429011: Add script to remove the test label from lsb-release descriptions of an image. (Closed) Base URL: ssh://git@gitrw.chromium.org:9222/vboot_reference.git
Patch Set: remove sudo Created 10 years, 3 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: scripts/image_signing/remove_test_label.sh
diff --git a/scripts/image_signing/remove_test_label.sh b/scripts/image_signing/remove_test_label.sh
new file mode 100755
index 0000000000000000000000000000000000000000..241f9da78ed460860a0eaa4e65ef82ef41b91572
--- /dev/null
+++ b/scripts/image_signing/remove_test_label.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+# Copyright (c) 2010 The Chromium OS Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# Remove the test label from lsb-release to prepare an image for
+# signing using the official keys.
+
+# Load common constants and variables.
+. "$(dirname "$0")/common.sh"
+
+set -e
+image=$1
+
+rootfs=$(mktemp -d)
+mount_image_partition ${image} 3 ${rootfs}
+trap "umount -d ${rootfs}; rm -rf ${rootfs}" EXIT
+sed -i 's/test//' "${rootfs}/etc/lsb-release"
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698